boost::geometry::strategy::distance::comparable::pythagoras_point_box< CalculationType > Class Template Reference
strategies: strategies

Strategy to calculate comparable distance between a point and a box. More...

List of all members.

## Classes

struct | calculation_type

## Static Public Member Functions

template<typename Point , typename Box >
static calculation_type< Point, Box >::type | apply (Point const &point, Box const &box)

## Detailed Description

### template<typename CalculationType = void>
class boost::geometry::strategy::distance::comparable::pythagoras_point_box< CalculationType >

Strategy to calculate comparable distance between a point and a box.

Template Parameters:

  Point | first point type
  Box | second box type
  CalculationType | numeric type for calculation (e.g. high precision); if [*void] then it is extracted automatically from the coordinate type and (if necessary) promoted to floating point

## Member Function Documentation

template<typename CalculationType = void>
template<typename Point , typename Box >

static calculation_type<Point, Box>::type boost::geometry::strategy::distance::comparable::pythagoras_point_box< CalculationType >::apply | ( | Point const & | point,
|  | Box const & | box
| ) |  | `[static]`

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK